## dialect 2.5.0%2B~2.5.0

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile. One of "default" or "development".'
)

## dialect 1.3.0

=== debian/changelog ===
dialect (1.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * drop patch 2001 obsoleted by upstream changes
  * avoid installing Google Translate plugin,
    and update TODO note about it

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 May 2021 09:10:55 +0200

dialect (1.2.0-1) experimental; urgency=low

  * initial Release;
    closes: Bug#986184

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Mar 2021 13:16:46 +0200

=== debian/control ===
Source: dialect
Section: x11
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 libgirepository1.0-dev,
 libgtk-3-dev,
 meson (>= 0.50.0),
 python-gi-dev (>= 3.29.1),
 python3-setuptools,
Standards-Version: 4.5.1
Homepage: https://github.com/gi-lom/dialect
Vcs-Git: https://salsa.debian.org/debian/dialect.git
Vcs-Browser: https://salsa.debian.org/debian/dialect
Rules-Requires-Root: no

Package: dialect
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gir1.2-handy-1,
 gir1.2-gtk-3.0,
 gir1.2-glib-2.0,
 gir1.2-gstreamer-1.0,
 python3,
 python3-dbus,
 python3-gi,
 python3-gtts,
 python3-httpx,
 python3-langdetect,
Description: translation app for GTK environments
 Dialect is a simple translation app for GTK environments.
 -
 Features:
#  * Translation based on the googletrans Python API,
#    an unofficial API for Google Translate
  * Translation based on the LibreTranslate API,
    allowing you use any instance available online
  * Translation history
  * Automatic language detection
#  * Text to speech
  * Clipboard buttons

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/gi-lom/dialect/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## dialect 1.4.1+~1.4.1

=== debian/changelog ===
dialect (1.4.1+~1.4.1-1build1) jammy; urgency=medium

  * Rebuild against new httpx 0.22.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Mar 2022 20:38:10 +0100

dialect (1.4.1+~1.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * track and embed separately package translations
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
    + list source URI for embedded translations
  * simplify source helper script copyright-check
  * declare compliance with Debian Policy 4.6.0
  * update upstream URIs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Oct 2021 00:33:46 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  meson (>= 0.50.0),
  python-gi-dev (>= 3.29.1),
  python3-setuptools,
-Standards-Version: 4.5.1
-Homepage: https://github.com/gi-lom/dialect
+Standards-Version: 4.6.0
+Homepage: https://github.com/dialect-app/dialect
 Vcs-Git: https://salsa.debian.org/debian/dialect.git
 Vcs-Browser: https://salsa.debian.org/debian/dialect
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	mkdir -p debian/build
	cd debian/build && meson --prefix=/usr ../..

override_dh_auto_build:
	cd debian/build && ninja -v

override_dh_auto_test:
	cd debian/build && ninja test

# TODO: separately package and suggest Google translate plugin
override_dh_auto_install:
	cd debian/build && DESTDIR=${CURDIR}/debian/dialect ninja install
	chmod -x debian/dialect/usr/share/dialect/dialect/main.py
	rm -f debian/dialect/usr/share/dialect/dialect/translators/gtrans.py

## dialect 2.0.2+~2.0.2

=== debian/changelog ===
dialect (2.0.2+~2.0.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.6.1
  * build-depend
    on blueprint-compiler desktop-file-utils
    gtk-update-icon-cache libadwaita-1-dev libgstreamer1.0-dev
    libgtk-4-dev libsoup-3.0-dev libxml2-utils
    (not libgtk-3-dev);
    tighten build-dependencies on meson python-gi-dev;
    depend on gir1.2-adw-1 gir1.2-gtk-4.0 gir1.2-soup-3.0
    (not gir1.2-handy-1 gir1.2-gtk-3.0 python3-httpx)
  * update short and long description
  * drop Google translate avoidance workaround:
    obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Aug 2022 17:13:42 +0200

=== debian/control ===
Source: dialect
Section: x11
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 blueprint-compiler,
 debhelper-compat (= 13),
 desktop-file-utils,
 gtk-update-icon-cache,
 libadwaita-1-dev,
 libgirepository1.0-dev,
 libgstreamer1.0-dev,
 libgtk-4-dev,
 libsoup-3.0-dev,
 libxml2-utils <!nocheck>,
 meson (>= 0.59.0),
 python-gi-dev (>= 3.40),
 python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://github.com/dialect-app/dialect
Vcs-Git: https://salsa.debian.org/debian/dialect.git
Vcs-Browser: https://salsa.debian.org/debian/dialect
Rules-Requires-Root: no

Package: dialect
Architecture: any
Depends:
 gir1.2-adw-1,
 gir1.2-glib-2.0,
 gir1.2-gstreamer-1.0,
 gir1.2-gtk-4.0,
 gir1.2-soup-3.0,
 python3,
 python3-dbus,
 python3-gi,
 python3-gtts,
 python3-langdetect,
 ${misc:Depends},
 ${shlibs:Depends},
Description: translation app for GNOME
 Dialect is a translation app for GNOME.
 .
 Features:
  * Translation based on Google Translate
  * Translation based on the LibreTranslate API,
    allowing you to use any public instance
  * Translation history
  * Automatic language detection
  * Text to speech
  * Clipboard buttons

## dialect 2.1.1+~2.1.1

=== debian/changelog ===
dialect (2.1.1+~2.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2
  * update copyright info: update coverage
  * update source helper tool copyright-check
  * drop patch obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 19:26:50 +0100

dialect (2.0.2+~2.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Cherrypick patch to fix string quoting to fix build with
    blueprint-compiler 0.6

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 10 Jan 2023 11:56:36 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  meson (>= 0.59.0),
  python-gi-dev (>= 3.40),
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/dialect-app/dialect
 Vcs-Git: https://salsa.debian.org/debian/dialect.git
 Vcs-Browser: https://salsa.debian.org/debian/dialect

## dialect 2.4.1+~2.4.1

=== debian/changelog ===
dialect (2.4.1+~2.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage
  * relax to build-depend unversioned
    when version is satisfied in Debian stable

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Jun 2024 08:15:41 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  libgtk-4-dev,
  libsoup-3.0-dev,
  libxml2-utils <!nocheck>,
- meson (>= 0.59.0),
- python-gi-dev (>= 3.40),
+ meson,
+ python-gi-dev,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/dialect-app/dialect
 Vcs-Git: https://salsa.debian.org/debian/dialect.git
 Vcs-Browser: https://salsa.debian.org/debian/dialect

## dialect 2.4.2+~2.4.2

=== debian/changelog ===
dialect (2.4.2+~2.4.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update long description

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Aug 2024 13:41:03 +0200

## dialect 2.5.0+~2.5.0

=== debian/changelog ===
dialect (2.5.0+~2.5.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 23:42:26 +0100

=== debian/control ===
--- 
+++ 
@@ -41,9 +41,13 @@
  Dialect is a translation app for GNOME.
  .
  Features:
-  * Translation based on Google Translate
-  * Translation based on the LibreTranslate API,
-    allowing you to use any public instance
+  * Translation using either of several public providers/APIs:
+    * Bing
+    * DeepL
+    * Google Translate
+    * LibreTranslate API
+    * Lingva Translate API
+    * Yandex
   * Translation history
   * Automatic language detection
   * Text to speech

## dialect 2.6.0+~2.6.0

=== requirements.txt ===
gtts
beautifulsoup4

=== debian/changelog ===
dialect (2.6.0+~2.6.0-4) unstable; urgency=medium

  * add patch 2001 to avoid too new pygobject;
    closes: bug#1111931, thanks to Danial Behzadi and Alejandro Rosso

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Aug 2025 09:28:57 +0200

dialect (2.6.0+~2.6.0-3) unstable; urgency=medium

  * build-depend explicitly
    on libgtksourceview-5-dev libsecret-1-dev libspelling-1-dev;
    depend on gir1.2-gtksource-5 gir1.2-secret-1 gir1.2-spelling-1;
    closes: bug#1111376, thanks to Danial Behzadi

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Aug 2025 16:37:33 +0200

dialect (2.6.0+~2.6.0-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 14:43:18 +0200

dialect (2.6.0+~2.6.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jul 2025 09:32:47 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,15 @@
  libgirepository1.0-dev,
  libgstreamer1.0-dev,
  libgtk-4-dev,
+ libgtksourceview-5-dev,
+ libsecret-1-dev,
  libsoup-3.0-dev,
+ libspelling-1-dev,
  libxml2-utils <!nocheck>,
  meson,
  python-gi-dev,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/dialect-app/dialect
 Vcs-Git: https://salsa.debian.org/debian/dialect.git
 Vcs-Browser: https://salsa.debian.org/debian/dialect
@@ -29,7 +32,10 @@
  gir1.2-glib-2.0,
  gir1.2-gstreamer-1.0,
  gir1.2-gtk-4.0,
+ gir1.2-gtksource-5,
+ gir1.2-secret-1,
  gir1.2-soup-3.0,
+ gir1.2-spelling-1,
  python3,
  python3-dbus,
  python3-gi,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build

execute_after_dh_auto_install:
	chmod -x debian/dialect/usr/share/dialect/dialect/main.py

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/dialect-app/dialect/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=po,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-po-$1/ \
https://github.com/dialect-app/po/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group
